%define pkgname	libgnomedb
%define	major	4
%define name	gnome-db2.0
%define oname gnome-db
%define api 3
%define libname	%mklibname %{oname}%{api}_ %major 
%define gdaver 2.99.4
%define		build_mono 1
%{?_with_mdb: %global build_mono 1}

Summary:	GNOME DB
Name:		%name
Version: 2.99.5
Release: %mkrel 1
License:	GPL/LGPL
Group: 		Databases
URL:		http://www.gnome-db.org/
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%{pkgname}/%{pkgname}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	libgnomeui2-devel
BuildRequires:	gda2.0-devel >= %gdaver
BuildRequires:	scrollkeeper
BuildRequires:	gtk-doc
BuildRequires:	libglade2.0-devel
BuildRequires:	gtksourceview-devel
BuildRequires:  evolution-data-server-devel
BuildRequires:	glade3-devel >= 3.1.5
BuildRequires:	ImageMagick
BuildRequires:  perl-XML-Parser
BuildRequires:  desktop-file-utils
BuildRequires:  intltool

%description
Gnome DB is a frontend to the GDA architecture, being developed as part
of the GNOME project. It adds, to the already powerful GDA architecture,
a nice GUI front end for users, as well as a whole set of software
components intended to be reused in other unrelated applications.

This package contains the core components of GNOME-DB.

%package -n %{libname}
Summary:	GNOME DB libraries
Group: 		System/Libraries

%description -n %{libname}
Gnome DB is a frontend to the GDA architecture, being developed as part
of the GNOME project. It adds, to the already powerful GDA architecture,
a nice GUI front end for users, as well as a whole set of software
components intended to be reused in other unrelated applications.


%package -n %{libname}-devel
Summary:	GNOME DB Development
Group: 		Development/Databases
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}
Provides:	lib%{name}-devel = %{version}
Requires(post):		scrollkeeper
Requires(postun):		scrollkeeper

%description -n %{libname}-devel
Gnome DB is a frontend to the GDA architecture, being developed as part
of the GNOME project. It adds, to the already powerful GDA architecture,
a nice GUI front end for users, as well as a whole set of software
components intended to be reused in other unrelated applications.

This package contains libraries, header files and tools to let
you develop GNOME-DB applications.

%if %build_mono
%package -n gnomedb-sharp2
Summary:	GNOME C# bindings
Group: 		Development/Other
Requires: %libname = %version
BuildRequires:  gda-sharp
BuildRequires:  gnome-sharp2
BuildRequires:  mono-devel
Requires: %libname = %version

%description -n gnomedb-sharp2
Gnome DB is a frontend to the GDA architecture, being developed as part
of the GNOME project. It adds, to the already powerful GDA architecture,
a nice GUI front end for users, as well as a whole set of software
components intended to be reused in other unrelated applications.

This package contains the Mono/C# bindings for Gnome DB.

%files -n gnomedb-sharp2
%defattr(-, root, root)
%_libdir/%pkgname/*.dll*
%_libdir/pkgconfig/gnomedb-sharp-3.0.pc
%endif

%prep
%setup -q -n %{pkgname}-%{version}

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std
%if %build_mono
cd gnomedb-sharp
%makeinstall_std
cd ..
%endif

# menu entry
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/gnome-database-properties-3.0" \
 icon="gnome-db2.png" \
 needs="x11" section="More Applications/Databases" \
 title="GNOME Database configuration" \
 longtitle="Configure your database environment" \
 startup_notify="true" xdg="true"
EOF
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="AdvancedSettings" \
  --add-category="X-MandrivaLinux-MoreApplications-Databases" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


# icons
mkdir -p $RPM_BUILD_ROOT%{_iconsdir} $RPM_BUILD_ROOT%{_miconsdir}
install -D -m 644 gnome-db.png $RPM_BUILD_ROOT%{_liconsdir}/gnome-db2.png
convert -geometry 32x32 gnome-db.png $RPM_BUILD_ROOT%{_iconsdir}/gnome-db2.png
convert -geometry 16x16 gnome-db.png $RPM_BUILD_ROOT%{_miconsdir}/gnome-db2.png

%{find_lang} %{pkgname}-%api --with-gnome

# remove unpackaged files
rm -rf $RPM_BUILD_ROOT%{_libdir}/libglade/2.0/*.{la,a} \
       $RPM_BUILD_ROOT%{_libdir}/glade3/modules/*a \
       $RPM_BUILD_ROOT%{_libdir}/libgnomedb/plugins/*a

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}
%post_install_gconf_schemas libgnomedb-3.0

%preun
%preun_uninstall_gconf_schemas libgnomedb-3.0

%postun
%{clean_menus}

%post -n %{libname}-devel
%update_scrollkeeper

%postun -n %{libname}-devel
%clean_scrollkeeper

%post -n %{libname} -p /sbin/ldconfig
							  
%postun -n %{libname} -p /sbin/ldconfig
							  
%files -f %{pkgname}-%api.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS
%_sysconfdir/gconf/schemas/libgnomedb-3.0.schemas
%{_bindir}/*
%{_datadir}/pixmaps/*
%_libdir/glade3/modules/libgladegnomedb.so
%_datadir/glade3/
%dir %_datadir/gnome-db/
%_datadir/gnome-db/*.xml
%_datadir/gnome-db/*.glade
%_datadir/applications/database-properties-3.0.desktop
%{_libdir}/libglade/2.0/*
%dir %{_libdir}/libgnomedb/
%{_libdir}/libgnomedb/plugins/
%{_menudir}/*
%{_iconsdir}/*.png
%{_liconsdir}/*.png
%{_miconsdir}/*.png

%files -n %{libname}
%defattr(-, root, root)
%{_libdir}/libgnomedb*-%{api}.so.%{major}*

%files -n %{libname}-devel
%defattr(-, root, root)
%doc %{_datadir}/gtk-doc/html/*
%{_libdir}/*.so
%attr(644,root,root) %{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/pkgconfig/*
%{_includedir}/*
%dir %{_datadir}/omf/*
%{_datadir}/omf/*/*-C.omf
%_datadir/gnome-db/demo


%changelog
* Wed Feb 14 2007 Götz Waschk <waschk@mandriva.org> 2.99.5-1mdv2007.0
+ Revision: 120704
- drop patch, not needed with glade 3.1.5
- new version
- bump deps
- fix file list
- fix build with glade3

* Sat Jan 27 2007 Götz Waschk <waschk@mandriva.org> 2.99.3-1mdv2007.1
+ Revision: 114341
- new version
- bump deps
- drop patch
- update file list

* Tue Jan 02 2007 Götz Waschk <waschk@mandriva.org> 2.99.2-1mdv2007.1
+ Revision: 103183
- fix buildrequires
- new version
- update file list
- bump deps
- patch for new glade3

* Thu Nov 23 2006 Götz Waschk <waschk@mandriva.org> 1.99.1-4mdv2007.1
+ Revision: 86526
- bot rebuild
- bot rebuild
- bot rebuild
- Import gnome-db2.0



* Wed Nov 22 2006 Gtz Waschk <waschk@mandriva.org> 1.99.1-1mdv2007.1
- update file list
- fix desktop entry
- bump deps
- New version 1.99.1

* Wed Aug  2 2006 Gtz Waschk <waschk@mandriva.org> 1.9.102-3mdv2007.0
- fix sharp package

* Wed Aug  2 2006 Gtz Waschk <waschk@mandriva.org> 1.9.102-2mdv2007.0
- enable mono
- xdg menu

* Sat Mar 25 2006 Gtz Waschk <waschk@mandriva.org> 1.9.102-1mdk
- update file list
- bump deps
- New release 1.9.102

* Thu Mar 02 2006 Götz Waschk <waschk@mandriva.org> 1.9.100-2mdk
- Rebuild to remove howl dep

* Wed Feb 15 2006 Gtz Waschk <waschk@mandriva.org> 1.9.100-1mdk
- update file list
- add sharp package
- spec cleanup
- new major
- new version

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.2.2-2mdk
- Rebuild

* Tue Jun 14 2005 Gtz Waschk <waschk@mandriva.org> 1.2.2-1mdk
- New release 1.2.2

* Thu Mar 03 2005 Götz Waschk <waschk@linux-mandrake.com> 1.2.1-1mdk
- New release 1.2.1

* Wed Jan 05 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-2mdk 
- Rebuild with latest howl

* Tue Dec 28 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.2.0-1mdk
- major 4
- New release 1.2.0

* Wed Nov 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.1.99-1mdk
- major 1
- requires new gda
- New release 1.1.99

* Sun Aug 15 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.1.6-1mdk
- New release 1.1.6

* Thu Jul 22 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.1.5-1mdk
- New release 1.1.5

* Fri Jul 09 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.4-2mdk
- Fix BuildRequires
- Fix icon name to not conflict with gnome-db 0.2.96

* Thu Jun 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.1.4-1mdk
- fix source URL
- New release 1.1.4

* Fri Jun 04 2004 Abel Cheung <deaddog@deaddog.org> 1.1.3-1mdk
- New version
- Use ImageMagick to convert icons
- Use UTF-8 for spec

* Tue Apr 27 2004 Götz Waschk <waschk@linux-mandrake.com> 1.1.2-1mdk
- build with evolution-data-server
- drop source 4
- new version

* Mon Apr  5 2004 Götz Waschk <waschk@linux-mandrake.com> 1.1.1-1mdk
- remove bonobo component (was removed)
- build with gtksourceview
- fix gtk-doc build
- enable gtk-doc
- requires new gda
- new version

* Sat Jan 31 2004 Götz Waschk <waschk@linux-mandrake.com> 1.0.3-2mdk
- fix intltool build

* Sat Jan 17 2004 Götz Waschk <waschk@linux-mandrake.com> 1.0.3-1mdk
- new version

* Mon Dec 01 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-1mdk
- Release 1.0.2
- Remove patches 0, 1 (merged upstream)

* Fri Nov 07 2003 Frederic Crozat <fcrozat@mandrakeosft.com> 1.0.1-1mdk
- Release 1.0.1
- Regenerate patch1

* Wed Oct  8 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.91.0-2mdk
- lib64 fixes, add some missing includes

* Thu Aug  7 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.91.0-1mdk
- Release 0.91.0

* Wed Jul 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.90.0-1mdk
- Release 0.90.0

* Fri Jun 13 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.12.2-1mdk
- Release 0.12.2

* Fri Jun 13 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.12.1-1mdk
- Release 0.12.1
- Remove patch0 (merged upstream)

* Fri Jun  6 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.12.0-1mdk
- Release 0.12.0
- Patch0 (CVS): fix soname and libglade typos.

* Fri Apr 18 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.11.0-3mdk
- Clean specfile and bump major
- Fix buildrequires (should be implicit)
- Fix devel dependency

* Sun Apr 13 2003 Marcel Pol <mpol@gmx.net> 0.11.0-2mdk
- buildrequires

* Sun Apr 06 2003 Marcel Pol <mpol@gmx.net> 0.11.0-1mdk
- make gnome-db2.0 package
- s/xpm/png

* Thu Oct 10 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.2.96-6mdk
- Patch1: Don't explicitly -L/usr/lib. This undoubtedly break lib64 arches
- Patch0: Add missing includes. Besides making it more ISO C
  compliant, we get correct prototypes especially those for variadic fns

* Sat Aug 17 2002 Pixel <pixel@mandrakesoft.com> 0.2.96-5mdk
- rebuild for perl thread-multi

* Mon Jul 22 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.2.96-4mdk
- Regenerate configure script with appropriate libtool.m4 for new arches

* Thu Jul 11 2002 Pixel <pixel@mandrakesoft.com> 0.2.96-3mdk
- rebuild for perl 5.8.0

* Wed May 29 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.2.96-2mdk
- Automated rebuild with gcc 3.1-1mdk

* Thu Mar 21 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.96-1mdk
- Release 0.2.96
- Disable parallel compilation

* Fri Jan 25 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.95-1mdk
- Release 0.2.95

* Sat Jan 19 2002 Stefan van der Eijk <stefan@eijk.nu> 0.2.93-4mdk
- BuildRequires

* Mon Dec 31 2001 Stefan van der Eijk <stefan@eijk.nu> 0.2.93-3mdk
- fix BuildRequires

* Mon Dec  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.93-2mdk
- Fix reference directory in .la files
- Use makeinstall_std macro

* Tue Oct 30 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.93-1mdk
- Release 0.2.93
- Remove patch0 (merged upstream)
- Move monikers to main package

* Mon Oct  1 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.91-1mdk
- Release 0.2.91
- Remove patch1 (merged upstream)
- Add scrollkeeper support

* Sat Aug  4 2001 Pixel <pixel@mandrakesoft.com> 0.2.10-3mdk
- add require the perl-base used for building (the libperl.so auto-require is not enough)

* Thu Jun 28 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.10-2mdk
- fix menu entry
- Recompiled to really remove dependency on gtkhtml

* Wed Jun 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.10-1mdk
- Release 0.2.10
- Update BuildRequires
- Patch1 : fix gnome-print detection

* Fri May 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.3-2mdk
- Recompiled against latest gtkhtml

* Wed Mar  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.3-1mdk
- Release 0.2.3
- Create menu entry
- Recompiled against latest gal
- Add missing files from tarball
- add locales

* Tue Feb 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.2-1mdk
- First mandrake package
- Libification
- Patch 0 to compile with latest bonobo

* Fri Aug 11 2000 Rodrigo Moya <rodrigo@linuxave.net>
- Initial spec imported from old GNOME-DB spec
